
Base Distribution - Task # 48079

Work Package # 47023 (Accepted): Global user interface
Task # 48075 (Accepted): Context bar

Status: Resolved Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-05-08 Assigned To: Sebastian Kurfuerst
Updated: 2013-07-11 Due date:
Subject: Inline editor options
Description

Add options for the inline editor to the context topbar

Associated revisions
Revision f1a63ff6 - 2013-05-27 14:59 - Sebastian Kurfuerst

[FEATURE] render the Aloha editing controls in top bar and inspector

We replace some parts of the Aloha UI plugin which are responsible for
drawing the floating menu. Namely, we replace the following Aloha classes:

    -  ui-plugin.js: Main entry point to rendering the Aloha UI
    -  toolbar.js: orchestrates the rendering of the different "tabs" 

  from the "floating menu" into the two areas (top menu and inspector)
    -  tab.js: render a single "tab", but not using jQuery UI tabs, but simply

  show the contents of all "tabs" at once.
    -  multiSplit.js: do not render some advanced control for selecting the

  paragraph style, but a simple dropdown. This can be improved lateron.

The styling of the new parts is not yet done, as a detailed concept
of that is still missing.

Resolves: #48079
Change-Id: I721e4545ec70114f56b868a6bbb982160bbbd974

Revision 6f306fa0 - 2013-07-04 14:48 - Berit Hlubek

[TASK] Styling of Aloha editor options toolbar

Change-Id: I20de58da63c9f64cfe876f44b7bd34bf715f2fc4
Related: #48079
Reviewed-on: https://review.typo3.org/21826
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Tested-by: Mr. Hudson
Reviewed-by: Berit Hlubek
Tested-by: Berit Hlubek

Revision 542237b4 - 2013-07-05 16:30 - Aske Ertmann
[TASK] Top bar and context bar implementation

Change-Id: Ifd3844cb7c863cce32188a77a3244c6b9a7b16a0
Related: #48233
Related: #48075
Related: #48076
Related: #48078
Related: #48079
Reviewed-on: https://review.typo3.org/21875
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision aa185bc6 - 2013-07-05 16:53 - Berit Hlubek

[BUGFIX] Add missing aloha icons

Change-Id: I1c83de3c67636eb738efd0049185d656d397cc1a
Related: #48079
Reviewed-on: https://review.typo3.org/21938
Reviewed-by: Berit Hlubek
Tested-by: Berit Hlubek
Tested-by: Mr. Hudson
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History
#1 - 2013-05-17 00:22 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst
- % Done changed from 0 to 20

#2 - 2013-05-17 00:22 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20818

#3 - 2013-05-27 15:00 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20818

#4 - 2013-07-11 23:45 - Aske Ertmann
- Target version set to 1.0 beta 1
- % Done changed from 20 to 100

#5 - 2013-07-11 23:54 - Aske Ertmann
- Status changed from Accepted to Resolved
